Package jakarta.el

# Class MethodInfo

java.lang.Object
jakarta.el.MethodInfo

public class MethodInfo extends Object

## Constructor Summary

Constructors
Constructor
Description
`MethodInfo(String name, Class<?> returnType, Class<?>[] paramTypes)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getName()`
`Class<?>[]`
`getParamTypes()`
`Class<?>`
`getReturnType()`
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MethodInfo

public MethodInfo(String name, Class<?> returnType, Class<?>[] paramTypes)

## Method Details

### getName

public String getName()

### getReturnType

public Class<?> getReturnType()

### getParamTypes

public Class<?>[] getParamTypes()

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`